/*
 *
 * Script name:     CurrentEnvironment.rexx
 * Author:          Franz Hemmer
 * Purpose:         Demonstrate how to obtain name and path of current environment in InterBase.
 * Related Program: InterBase Pro
 * Written:         22.03.93
 *
 */

Options Results

/*----------------------------------------------*/
/* Address InterBase port, and execute command. */
/*----------------------------------------------*/
ADDRESS INTERBASE1 CURRENT_ENVIRONMENT_PREFS
parse var result maxgarbage autoram workdir
SAY 'Maximum acceptable garbage percentage: 'maxgarbage
IF autoram = 2 THEN
   DO
      SAY 'Auto RAM                             : ON  'autoram
   END
ELSE
   DO
      SAY 'Auto RAM                             : OFF 'autoram
   END
ENDIF
SAY 'Working directory for environment    :'workdir
