/*
 *
 * Script name:     DisplayIFF.rexx
 * Author:          Franz Hemmer
 * Purpose:         Demonstrate how to display an IFF picture using InterBase functions.
 * Related Program: InterBase Pro
 * Written:         25.03.93
 *
 */

Options Results
parse arg fullpath

/*-----------------------------------*/
/* Check that parameters was passed: */
/*-----------------------------------*/
IF fullpath = "" THEN DO
   SAY 'Usage: DisplayIFF <fullpath>'
   EXIT 5
END

/*----------------------------------------------*/
/* Address InterBase port, and execute command. */
/*----------------------------------------------*/
ADDRESS INTERBASE1 DISPLAY_IFF fullpath
IF rc > 0 THEN DO
   SAY INTERBASE.LASTERROR
END
