/*
 *
 * Script name:     GetFieldName.rexx
 * Author:          Franz Hemmer
 * Purpose:         Demonstrate how to get the name of field in the current table in InterBase.
 * Related Program: InterBase Pro
 * Written:         23.03.93
 *
 */

Options Results
parse arg number

/*-----------------------------------*/
/* Check that parameters was passed: */
/*-----------------------------------*/
IF dir = "" | file = "" THEN DO
   SAY 'Usage: GetFieldName <number>'
   EXIT 5
END


/*----------------------------------------------*/
/* Address InterBase port, and execute command. */
/*----------------------------------------------*/
ADDRESS INTERBASE1 GET_FIELD_NAME number
IF rc > 0 THEN
   DO
      SAY INTERBASE.LASTERROR
   END
ELSE
   DO
      SAY result
   END
ENDIF
