/*
 *
 * Script name:     LoadEnvironment.rexx
 * Author:          Franz Hemmer
 * Purpose:         Demonstrate how to load an environment into InterBase.
 * Related Program: InterBase Pro
 * Written:         16.03.93
 *
 */

Options Results
parse arg dir file

/*-----------------------------------*/
/* Check that parameters was passed: */
/*-----------------------------------*/
IF dir = "" | file = "" THEN DO
   SAY 'Usage: LoadEnvironment <dir> <file>'
   EXIT 5
END

/*----------------------------------------------*/
/* Address InterBase port, and execute command. */
/*----------------------------------------------*/
ADDRESS INTERBASE1 LOAD_ENVIRONMENT dir file
IF rc > 0 THEN DO
   SAY INTERBASE.LASTERROR
END
