/*
 *
 * Script name:     ExportAscii.rexx
 * Author:          Franz Hemmer
 * Purpose:         Demonstrate how to export current table as ASCII in InterBase.
 * Related Program: InterBase Pro
 * Written:         22.03.93
 *
 */

Options Results
parse arg dir file

/*-----------------------------------*/
/* Check that parameters was passed: */
/*-----------------------------------*/
IF dir = "" | file = "" THEN DO
   SAY 'Usage: ExportAscii <dir> <file>'
   EXIT 5
END

/*----------------------------------------------*/
/* Address InterBase port, and execute command. */
/*----------------------------------------------*/
ADDRESS INTERBASE1 EXPORT_ASCII dir file
IF rc > 0 THEN DO
   SAY INTERBASE.LASTERROR
END
