/*
 *
 * Script name:     SaveEnvironment.rexx
 * Author:          Franz Hemmer
 * Purpose:         Demonstrate how to save current environment to disk in InterBase.
 * Related Program: InterBase Pro
 * Written:         23.03.93
 *
 */

Options Results
parse arg dir file

/*-----------------------------------*/
/* Check that parameters was passed: */
/*-----------------------------------*/
IF dir = "" | file = "" THEN DO
   SAY 'Usage: SaveEnvironment <dir> <file>'
   EXIT 5
END

/*----------------------------------------------*/
/* Address InterBase port, and execute command. */
/*----------------------------------------------*/
ADDRESS INTERBASE1 SAVE_ENVIRONMENT dir file
IF rc > 0 THEN DO
   SAY INTERBASE.LASTERROR
END
